public class Main {
    Tools tools;
    Logger logger;

    public Main() {
        tools = Tools.getInstance();
        logger = Logger.getInstance();
    }

    public String menu() {
        tools.write("---[ SISTEMA GERENCIADOR DE USUÁRIOS ]-----------------------------", true);
        tools.write("1. LISTAR  |  2. INSERIR  |  3. ALTERAR  |  4. EXCLUIR  |  5. SAIR", true);
        return tools.read(">");
    }

    public void run() {
        logger.write("Iniciando sistema...");
        String opc;
        do {
            opc = menu();
            switch (opc) {
                case "1":
                    OperationFactory.getOperation("GET").run();
                    break;
                case "2":
                    OperationFactory.getOperation("INSERT").run();
                    break;
                case "3":
                    OperationFactory.getOperation("UPDATE").run();
                    break;
                case "4":
                    OperationFactory.getOperation("DELETE").run();
                    break;
                case "5":
                    tools.write("INFO: Saindo do sistema...", true);
                    break;
                default:
                    tools.write("ERRO: Opção inválida...", true);
                    logger.write("Opção " + opc + " inválida!");
                    break;
            }

        } while (!opc.equals("5"));
        tools.close();
        logger.write("Finalizando sistema...");
    }

    public static void main(String[] arguments) {
        (new Main()).run();
    }
}
